Page MenuHomePhabricator

Failure to ImportFile on beta commons
Closed, ResolvedPublic3 Story PointsBUG REPORT

Description

Steps to reproduce:

  • Pick an enwiki.beta file and export to commons
  • Leave "delete file from source wiki in my name" unchecked.
  • Import

Crashes with "failed to commit operations". The logs have,

FileImporter\Operations\FileRevisionFromRemoteUrl::commit failed to commit.

This task is complete when we either fail to reproduce the bug, or reproduce and understand what happened.

Event Timeline

awight created this task.Jul 11 2019, 2:25 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptJul 11 2019, 2:25 PM

This leaves behind a broken file, with the original file's history, no file contents, and no hint in the logs that it was created by FileImporter:
https://commons.wikimedia.beta.wmflabs.org/wiki/File:File_moving_to_Commons2.png

awight changed the subtype of this task from "Task" to "Bug Report".Jul 12 2019, 7:48 AM
awight updated the task description. (Show Details)
awight set the point value for this task to 3.

@WMDE-Fisch please undelete this file when you have a moment: https://commons.wikimedia.beta.wmflabs.org/wiki/File:File_moving_to_Commons2.png
This is a zombie created by the importer, we should be able to learn things from the ruins.

@WMDE-Fisch please undelete this file when you have a moment: https://commons.wikimedia.beta.wmflabs.org/wiki/File:File_moving_to_Commons2.png
This is a zombie created by the importer, we should be able to learn things from the ruins.

Done.

I think I was wrong about https://commons.wikimedia.beta.wmflabs.org/wiki/File:File_moving_to_Commons2.png, it seems to have been uploaded directly to commons.beta, and that's why there were no indications of FileImporter.

So, I'm going to artifically break the FileImporter code locally to cause the stuff I'm worried about, and work on a method for marking these files for deletion, etc.

I'll try to reproduce this bug once more and will close the task if it doesn't happen.

awight closed this task as Resolved.Aug 23 2019, 8:04 AM
awight claimed this task.

Not reproducible.